Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Interface GwtCreateResource<T>

Type Parameters:
  `T` - The type that should be returned from the `GWT.create()` call

All Superinterfaces:
  ResourcePrototype

    public interface GwtCreateResource<T>

extends ResourcePrototype

This resource type allows any class that can be instantiated via a call to `GWT.create(Class)` to be used within an ClientBundle. Example uses include the I18N support classes, RPC endpoints, or any type that supports default instantiation. If no `GwtCreateResource.ClassType` annotation is present on the resource accessor method, the type parameter `T` will be used as the class literal passed to `GWT.create()`.

Nested Class Summary
`static interface` | `GwtCreateResource.ClassType` This annotation can be applied to the resource getter method in order to call `GWT.create` with a class literal other than that of the return type parameterization.

Method Summary
`T` | `create()` Invokes `GWT.create()`.

Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype
`getName`

Method Detail

### create

    T create()

  Invokes `GWT.create()`. Multiple invocations of this method will return different instances of the `T` type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD